aboutsummaryrefslogtreecommitdiffstats
path: root/community/eturnal/eturnal.initd
diff options
context:
space:
mode:
Diffstat (limited to 'community/eturnal/eturnal.initd')
-rw-r--r--community/eturnal/eturnal.initd20
1 files changed, 20 insertions, 0 deletions
diff --git a/community/eturnal/eturnal.initd b/community/eturnal/eturnal.initd
new file mode 100644
index 00000000000..babd809de5e
--- /dev/null
+++ b/community/eturnal/eturnal.initd
@@ -0,0 +1,20 @@
+#!/sbin/openrc-run
+
+name="${RC_SVCNAME}"
+command="/usr/sbin/${name}ctl"
+command_args="foreground" # Leave backgrounding to start-stop-daemon.
+command_background=true
+extra_started_commands="reload"
+capabilities="^cap_net_bind_service"
+pidfile="/run/$name.pid"
+
+depend() {
+ need net
+ after firewall
+}
+
+reload() {
+ ebegin "Reloading $name"
+ $command reload
+ eend $?
+}